{{- if .Values.config.istio }}
apiVersion: kyverno.io/v1
kind: Policy
metadata:
  name: enable-istio
spec:
  mutateExistingOnPolicyUpdate: true
  background: true
  rules:
    - name: enable-istio
      match:
        resources:
          kinds:
            - Namespace
          names:
            - {{ .Release.Namespace }}
      mutate:
        targets:
          - apiVersion: v1
            kind: Namespace
            name: {{ .Release.Namespace }}
        patchStrategicMerge:
          metadata:
            labels:
              istio-injection: enabled
{{- end }}
